petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetDepth

Get the depth of the DAG representing this mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetDepth(DM dm, PetscInt *depth)

Not Collective

### Input Parameter

dm -The DMPlex object

### Output Parameter

depth -The number of strata (breadth first levels) in the DAG

### Keywords

mesh, points

### See Also

DMPlexGetDepthLabel(), DMPlexGetHeightStratum(), DMPlexGetDepthStratum()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html